### Function

# EDataServer SourceRegistry debug_print

since: 3.16

#### Declaration [src]

    void
    e_source_registry_debug_print (
      const gchar* format,
      ...
    )

#### Description [src]

Prints the text only if a debugging is enabled with an environment variable ESR_DEBUG=1.

Available since: 3.16

This function is not directly available to language bindings.

#### Parameters

`format`

  Type: `const gchar*`

  A format string to print.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Other arguments for the format.